<div class="modal">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Войти:</h5>
        <button type="button" class="close" (click)="onCloseModal()">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form (ngSubmit)="onSubmit()" [formGroup]="signInForm">
       <div class="modal-body">
          <div class="form-group">
              <label>Email</label>
              <input type="email" formControlName="email" class="form-control"
                [ngClass]="{ 'is-invalid': submitted && signInForm.controls['email'].errors }" />
              <div *ngIf="signInForm.controls['email'].errors" class="invalid-feedback">
                  <div *ngIf="signInForm.controls['email'].errors.required">Email обязателен</div>
                  <div *ngIf="signInForm.controls['email'].errors.email">Адрес электронной почты должен быть действительным адресом пример: test@test.com</div>
              </div>
          </div>
          <div class="form-group">
            <label>Пароль</label>
            <input type="password" formControlName="password" class="form-control"
              [ngClass]="{ 'is-invalid': submitted && signInForm.controls['password'].errors }" />
            <div *ngIf="submitted && signInForm.controls['password'].errors" class="invalid-feedback">
              <div *ngIf="signInForm.controls['password'].errors.required">Пароль обязателен</div>
              <div *ngIf="signInForm.controls['password'].errors.minlength">Пароль должен содержать не менее 8 символов</div>
            </div>
          </div>

          <a routerLink="../signup" routerLinkActive="active">Еще нет аккаунта?</a>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" (click)="onCloseModal()">Закрыть</button>
          <button class="btn btn-primary" type="submit">Войти</button>
        </div>
      </form>
    </div>
  </div>
  <div class="modal-backdrop show" (click)="onCloseModal()"></div>
</div>
